Package org.apache.qpid.proton.codec.messaging

# Class FastPathAcceptedType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathAcceptedType

All Implemented Interfaces:
  `AMQPType<Accepted>`, `FastPathDescribedTypeConstructor<Accepted>`, `TypeConstructor<Accepted>`

public class FastPathAcceptedType extends Object implements AMQPType<Accepted>, FastPathDescribedTypeConstructor<Accepted>

## Constructor Summary

Constructors
Constructor
Description
`FastPathAcceptedType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<Accepted>>`
`getAllEncodings()`
`TypeEncoding<Accepted>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<Accepted>`
`getEncoding(Accepted accepted)`
`Class<Accepted>`
`getTypeClass()`
`Accepted`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(Accepted accepted)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathAcceptedType

public FastPathAcceptedType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Accepted>`

### getTypeClass

public Class<Accepted> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Accepted>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<Accepted>`

### getEncoding

public TypeEncoding<Accepted> getEncoding(Accepted accepted)

Specified by:
  `getEncoding` in interface `AMQPType<Accepted>`

### getCanonicalEncoding

public TypeEncoding<Accepted> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Accepted>`

### getAllEncodings

public Collection<? extends TypeEncoding<Accepted>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Accepted>`

### readValue

public Accepted readValue()

Specified by:
  `readValue` in interface `TypeConstructor<Accepted>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<Accepted>`

### write

public void write(Accepted accepted)

Specified by:
  `write` in interface `AMQPType<Accepted>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)